
<p>Sada, nakon što smo se upoznali s pojmom <em>područja naponskih razina</em>, možemo razmotriti i način na koji se logičke vrijednosti preslikavaju u ta područja. Razmatramo rad digitalnog sklopa (vidi sliku 1) koji ima dva ulaza (označili smo ih s <i>A</i> i <i>B</i>) i jedan izlaz (označili smo ga s <i>f</i>).</p>

<figure class="mlFigure">
<img src="@#file#(sklopbb.svg)" alt="Dvoulazni sklop - model crne kutije."><br>
<figcaption><span class="mlFigKey">Slika 1.</span> Dvoulazni sklop - model crne kutije.</figcaption>
</figure>

<p>Pretpostavimo da smo ispitali rad sklopa na način da smo mu na ulaze doveli sve moguće kombinacije napona (napon iz područja visoke razine te napon iz područja niske razine) i potom smo zabilježili u kojem je području bio napon koji je sklop generirao na izlazu. Neka je rezultat ispitivanja <em>tablica naponskih kombinacija</em> prikazana u nastavku.</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 1.</span> Tablica naponskih kombinacija</div>
<table class="mlTableCC mlTableVR2">
<thead>
<tr><th><i>U<sub>A</sub></i></th><th><i>U<sub>B</sub></i></th><th><i>U<sub>f</sub></i></th></tr>
</thead>
<tbody>
<tr><td>N</td><td>N</td><td>N</td></tr>
<tr><td>N</td><td>V</td><td>N</td></tr>
<tr><td>V</td><td>N</td><td>N</td></tr>
<tr><td>V</td><td>V</td><td>V</td></tr>
</tbody>
</table>

<p>Koju logičku funkciju obavlja ovaj sklop? Da bismo na to odgovorili, moramo se dogovoriti koju logičku vrijednost predstavlja napon koji je u području visokih naposnkih razina a koju napon koji je u području niskih naponskih razina.
Kako imamo dva područja: {N,V} (N za "nisko", V za "visoko") i dvije logičke vrijednosti: {0, 1}, postoje samo dva načina na koja logičkim vrijednostima možemo pridijeliti naponske razine - gledajte na to kao na problem kodiranja.</p>

<ol class="mlSpread">
<li>Preslikavanje V&#x2261;1, H&#x2261;0. Ovakvu interpretaciju naponskih razina, gdje visoku naponsku razinu poistovjećujemo s logičkom jedinicom a nisku naponsku razinu s logičkom nulom nazivamo <em>pozitivna logika</em>.</li> 
<li>Preslikavanje V&#x2261;0, H&#x2261;1. Ovakvu interpretaciju naponskih razina, gdje visoku naponsku razinu poistovjećujemo s logičkom nulom a nisku naponsku razinu s logičkom jedinicom nazivamo <em>negativna logika</em>.</li> 
</ol>

<p>Interpretacijom prikazane tablice naponskih razina u pozitivnoj logici dobivamo sljedeću tablicu kombinacija.</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 2.</span> Interpretacija u pozitivnoj logici</div>
<table class="mlTableCC mlTableVR2">
<thead>
<tr><th><i>A</i></th><th><i>B</i></th><th><i>f</i></th></tr>
</thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>0</td></tr>
<tr><td>1</td><td>0</td><td>0</td></tr>
<tr><td>1</td><td>1</td><td>1</td></tr>
</tbody>
</table>

<p>Tablicu smo dobili tako da smo u tablici 1 oznaku V zamijenili logičkom vrijedosti 1 a oznaku N logičkom vrijednosti 0. Funkcija koju smo dobili je logičko I - morali biste je prepoznati iz tablice.
$$
 f(A,B) = A \cdot B
$$</p>

<div class="mlImportant">
<p>U <strong>pozitivnoj logici</strong> pozitivniju naponsku razinu tumačimo kao logičku jedinicu a negativniju naponsku razinu kao logičku nulu.</p>
<p>Primjerice, ako digitalni sklop radi s naponskim razinama 0V i 5V, u pozitivnoj logici ćemo 5V interpretirati kao logičku jedinicu. 
   Ako digitalni sklop radi s naponskim razinama 0V i -5V, 0V ćemo interpretirati kao logičku jedinicu (uvijek gledamo pozitivniju naponsku razinu). 
</p>
</div>


<p>Što se događa ako interpretaciju naponskih razina iz tablice 1 obavimo u skladu s negativnom logikom? Tablica istinitosti koja se dobiva prikazana je u nastavku.</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 3.</span> Interpretacija u negativnoj logici</div>
<table class="mlTableCC mlTableVR2">
<thead>
<tr><th><i>A</i></th><th><i>B</i></th><th><i>f</i></th></tr>
</thead>
<tbody>
<tr><td>1</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>1</td></tr>
<tr><td>0</td><td>1</td><td>1</td></tr>
<tr><td>0</td><td>0</td><td>0</td></tr>
</tbody>
</table>

<div class="mlImportant">
<p>U <strong>negativnoj logici</strong> negativniju naponsku razinu tumačimo kao logičku jedinicu a pozitivniju naponsku razinu kao logičku nulu.</p>
<p>Primjerice, ako digitalni sklop radi s naponskim razinama 0V i 5V, u negativnoj logici ćemo 0V interpretirati kao logičku jedinicu. 
   Ako digitalni sklop radi s naponskim razinama 0V i -5V, -5V ćemo interpretirati kao logičku jedinicu (uvijek gledamo negativniju naponsku razinu). 
</p>
</div>

<p>Vidite li sada o kojoj se funkciji radi? Pazite, redoslijed redaka u tablici nije onaj kanonski (ne počinje sa svim nulama i ne završava sa svim jedinicama). Tablica 3, samo presložena, tako da retci prate onaj kanonski redoslijed prikazana je u nastavku.</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 4.</span> Interpretacija u negativnoj logici</div>
<table class="mlTableCC mlTableVR2">
<thead>
<tr><th><i>A</i></th><th><i>B</i></th><th><i>f</i></th></tr>
</thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>1</td></tr>
<tr><td>1</td><td>1</td><td>1</td></tr>
</tbody>
</table>

<p>Sada je iz tablice kristalno jasno: radi se o funkciji ILI.
$$
 f(A,B) = A + B
$$
</p>

<div class="mlImportant">
<p>Neka je \(f_p\) Booleova funkcija koja se dobije interpretacijom tablice kombinacija naponskih razina nekog sklopa u pozitivnoj logici, a \(f_n\) Booleova funkcija koja se dobije interpretacijom te iste tablice kombinacija naponskih razina u negativnoj logici.</p>
<p>
<strong>Booleove funkcije \(f_p\) i \(f_n\) bit će međusobno dualne.</strong>
</p>
</div>




